Skip to main content
`Ctrl`+`K`

# miml.classifier.mi.apr_classifier.APRClassifier

class miml.classifier.mi.apr_classifier.APRClassifier

  Classifier for All-Positive Bags using Axis-Aligned Positive Region.

  This classifier assigns a positive label to bags that contain instances within a predefined axis-parallel rectangle (APR) defined by the minimum and maximum feature values of positive instances in the training set.

  ## Attributes

  aprlist[np.ndarray of shape (n_labels)]

    List containing the minimum and maximum feature values defining the APR.

  ## References

  Dietterich, Thomas G., Richard H. Lathrop, and Tomás Lozano-Pérez. “Solving the multiple instance problem with axis-parallel rectangles.” Artificial intelligence 89.1 (1997): 31-71.

  __init__() → None

    Constructor of the class AllPositiveAPRClassifier

  Methods

  `__init__`() | Constructor of the class AllPositiveAPRClassifier
  `fit`(x_train, y_train) | Fit the classifier to the training data.
  `predict`(bag) | Predict the label of the bag
  `predict_proba`(x_test) | Predict probabilities of given data of having a positive label